import { Component } from '@angular/core';
import { IGridCell } from './components/grid/grid';

const sampleGridCells: IGridCell[] = [
  {
    label: 'Name',
    align: 'left',
    field: 'name',
    width: 200
  },
  {
    label: 'Account Number',
    align: 'center',
    field: 'account_number',
    width: 150
  },
  {
    label: 'Balance',
    align: 'right',
    field: 'balance',
    width: 140
  },
];

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent {

  isLoading = false;

  gridCells: IGridCell[] = sampleGridCells;

  totalRows = 50;

  samples: any[] = [
    {
      name: 'Nguyen Van Ha',
      account_number: '1111',
      balance: '1111'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1133',
      balance: '1133'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    },
    {
      name: 'Nguyen Van Ha',
      account_number: '1122',
      balance: '1122'
    }
  ];

  onLoaded(): void {}

}
